Debian Bug report logs - #637883
[PATCH] Add multiarch fields

version graph

Package: xz-utils; Maintainer for xz-utils is Jonathan Nieder <jrnieder@gmail.com>; Source for xz-utils is src:xz-utils.

Reported by: Riku Voipio <riku.voipio@linaro.org>

Date: Mon, 15 Aug 2011 14:13:02 UTC

Severity: wishlist

Found in version xz-utils/5.1.1alpha+20110528-1~exp1

Fixed in version xz-utils/5.1.1alpha+20110809-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonathan Nieder <jrnieder@gmail.com>:
Bug#637883; Package xz-utils. (Mon, 15 Aug 2011 14:13:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@linaro.org>:
New Bug report received and forwarded. Copy sent to Jonathan Nieder <jrnieder@gmail.com>. (Mon, 15 Aug 2011 14:13:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: submit@bugs.debian.org
Cc: patches@linaro.org
Subject: [PATCH] Add multiarch fields
Date: Mon, 15 Aug 2011 17:10:07 +0300
Package: xz-utils
Version: 5.1.1alpha+20110528-1~exp1
Severity: wishlist
User: debian-dpkg@lists.debian.org
Usertags: multiarch

Multiarch transition in experimental is half-done. While the paths have been
changed, Multi-Arch: fields from debian/control are missing.

Multi-Arch: same for packages that install to multiarch directories,
and Multi-Arch: foreign for packages where foreign architecture version
is ok.

ps. If you need sponsor for upload, I'm available.

Signed-off-by: Riku Voipio <riku.voipio@linaro.org>
---
 debian/control |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/debian/control b/debian/control
index 8d57b8b..dedceb4 100644
--- a/debian/control
+++ b/debian/control
@@ -18,6 +18,7 @@ Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: XZ-format compression library
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
@@ -30,6 +31,7 @@ Description: XZ-format compression library
 Package: xz-utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Suggests: xz-lzma
 Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
 Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
@@ -76,6 +78,7 @@ Package: xzdec
 Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Suggests: xz-utils
 Breaks: xz-lzma (<< 4.999.9beta+20091004-1)
 Replaces: xz-lzma (<< 4.999.9beta+20091004-1)
@@ -105,6 +108,7 @@ Priority: optional
 Architecture: any
 Depends: liblzma5 (= ${binary:Version}), ${misc:Depends}
 Suggests: liblzma-doc
+Multi-Arch: same
 Description: XZ-format compression library - development files
  XZ is the successor to the Lempel-Ziv/Markov-chain Algorithm
  compression format, which provides memory-hungry but powerful
-- 
1.7.4.1





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#637883; Package xz-utils. (Mon, 15 Aug 2011 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. (Mon, 15 Aug 2011 14:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 637883@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Riku Voipio <riku.voipio@linaro.org>
Cc: 637883@bugs.debian.org, patches@linaro.org
Subject: Re: [PATCH] Add multiarch fields
Date: Mon, 15 Aug 2011 09:38:42 -0500
Hi,

Riku Voipio wrote:

> Multiarch transition in experimental is half-done. While the paths have been
> changed, Multi-Arch: fields from debian/control are missing.

Thanks!  Do you know if the Multi-Arch field is in policy yet (or if
there's been work on that)?

> ps. If you need sponsor for upload, I'm available.

I would like to take you up on that.  I'll try preparing uploads for
sid and experimental later today.

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan Nieder <jrnieder@gmail.com>:
Bug#637883; Package xz-utils. (Mon, 15 Aug 2011 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@linaro.org>:
Extra info received and forwarded to list. Copy sent to Jonathan Nieder <jrnieder@gmail.com>. (Mon, 15 Aug 2011 18:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 637883@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: 637883@bugs.debian.org
Subject: Fwd: [PATCH] Add multiarch fields
Date: Mon, 15 Aug 2011 21:25:41 +0300
On 15 August 2011 17:38, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Riku Voipio wrote:
>
>> Multiarch transition in experimental is half-done. While the paths have been
>> changed, Multi-Arch: fields from debian/control are missing.
>
> Thanks!  Do you know if the Multi-Arch field is in policy yet (or if
> there's been work on that)?

I thought there was, but apparently there isn't yet. These fields are what
dpkg => 1.16 recognizes (but doesn't use yet). dpkg in multi-arch branch
uses theses fields to allow install of different than main arch packages.

>> ps. If you need sponsor for upload, I'm available.
>
> I would like to take you up on that.  I'll try preparing uploads for
> sid and experimental later today.

Cool, I'm not sure how late I'll be up tonight, but mail me when ready.

Cheers,
Riku




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#637883; Package xz-utils. (Tue, 16 Aug 2011 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. (Tue, 16 Aug 2011 06:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 637883@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Riku Voipio <riku.voipio@linaro.org>
Cc: 637883@bugs.debian.org
Subject: Re: [PATCH] Add multiarch fields
Date: Tue, 16 Aug 2011 01:24:36 -0500
Hi,

Riku Voipio wrote:

> Cool, I'm not sure how late I'll be up tonight, but mail me when ready.

It took longer than I hoped, but I have some packages ready:

 - http://alioth.debian.org/~jrnieder-guest/xz-utils/xz-utils_5.1.1alpha+20110809-1.dsc
 - http://alioth.debian.org/~jrnieder-guest/xz-utils/xz-utils_5.1.1alpha+20110809-2~exp1.dsc

Or one can get them from the master (09fe07e) and experimental
(fd4034f) branches of

 git://git.debian.org/collab-maint/xz.git

and build with "debian/autogen.sh && debuild".

For sid, changes since last upload:

 - upload to unstable.  This means a lot of upstream changes since
   last upload to sid.  Luckily they have been well tested in
   experimental.
 - make ABI match unstable (see liblzma2/README.Debian for
   details) since it is not time for a transition yet
 - declare multi-arch support for liblzma2, xz-utils, and xzdec
   in debian/control
 - separate build-arch and build-indep targets in debian/rules

For experimental, changes on top of that:

 - make ABI match upstream again (bump soname, etc)
 - declare multi-arch for liblzma-dev, too!  Very neat.

Both packages seem to work. :)  I'll be happy for any thoughts you
have.

Good night,
Jonathan




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Tue, 16 Aug 2011 09:37:16 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@linaro.org>:
Bug acknowledged by developer. (Tue, 16 Aug 2011 09:37:17 GMT) Full text and rfc822 format available.

Message #25 received at 637883-close@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 637883-close@bugs.debian.org
Subject: Bug#637883: fixed in xz-utils 5.1.1alpha+20110809-1
Date: Tue, 16 Aug 2011 09:33:31 +0000
Source: xz-utils
Source-Version: 5.1.1alpha+20110809-1

We believe that the bug you reported is fixed in the latest version of
xz-utils, which is due to be installed in the Debian FTP archive:

liblzma-dev_5.1.1alpha+20110809-1_amd64.deb
  to main/x/xz-utils/liblzma-dev_5.1.1alpha+20110809-1_amd64.deb
liblzma-doc_5.1.1alpha+20110809-1_all.deb
  to main/x/xz-utils/liblzma-doc_5.1.1alpha+20110809-1_all.deb
liblzma2_5.1.1alpha+20110809-1_amd64.deb
  to main/x/xz-utils/liblzma2_5.1.1alpha+20110809-1_amd64.deb
xz-lzma_5.1.1alpha+20110809-1_all.deb
  to main/x/xz-utils/xz-lzma_5.1.1alpha+20110809-1_all.deb
xz-utils_5.1.1alpha+20110809-1.debian.tar.gz
  to main/x/xz-utils/xz-utils_5.1.1alpha+20110809-1.debian.tar.gz
xz-utils_5.1.1alpha+20110809-1.dsc
  to main/x/xz-utils/xz-utils_5.1.1alpha+20110809-1.dsc
xz-utils_5.1.1alpha+20110809-1_amd64.deb
  to main/x/xz-utils/xz-utils_5.1.1alpha+20110809-1_amd64.deb
xz-utils_5.1.1alpha+20110809.orig.tar.gz
  to main/x/xz-utils/xz-utils_5.1.1alpha+20110809.orig.tar.gz
xzdec_5.1.1alpha+20110809-1_amd64.deb
  to main/x/xz-utils/xzdec_5.1.1alpha+20110809-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637883@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Nieder <jrnieder@gmail.com> (supplier of updated xz-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Aug 2011 00:40:31 -0500
Source: xz-utils
Binary: liblzma2 xz-utils xz-lzma xzdec liblzma-dev liblzma-doc
Architecture: source amd64 all
Version: 5.1.1alpha+20110809-1
Distribution: unstable
Urgency: low
Maintainer: Jonathan Nieder <jrnieder@gmail.com>
Changed-By: Jonathan Nieder <jrnieder@gmail.com>
Description: 
 liblzma-dev - XZ-format compression library - development files
 liblzma-doc - XZ-format compression library - API documentation
 liblzma2   - XZ-format compression library
 xz-lzma    - XZ-format compression utilities - compatibility commands
 xz-utils   - XZ-format compression utilities
 xzdec      - XZ-format compression utilities - tiny decompressors
Closes: 572273 605762 627209 637883
Changes: 
 xz-utils (5.1.1alpha+20110809-1) unstable; urgency=low
 .
   * New snapshot, taken from upstream commit 5c5b225.
     - liblzma:
       - lzma_stream_encoder() leaked memory.
       - The LZMA2 decoder rejected streams that decompress to a
         zero-length string.
       - lzma_easy_buffer_encode() and lzma_stream_buffer_encode()
         used to write such streams when asked to compress a 0-length
         buffer.
       - lzma_index_init() would segfault on allocation failure.
       - liblzma: Various functions check their arguments (especially
         choice of integrity check) better, making it harder to create
         a corrupt .xz file instead of receiving an error.
     - xz and scripts:
       - "xz -v -v --list" would read and try to free() uninitialized
         memory, continuing past the end of an on-stack array, when
         asked to describe certain corrupted XZ files.
       - xz -S.suf now refuses to compress a file whose name already
         ends with the suffix “.suf”.
       - xz --force can be used to compress setuid, setgid, sticky,
         and multiply linked files.
       - xz uses posix_fadvise() to speed up sequential input.
       - xz --block-size forces a full flush periodically during
         compression, for better random-access reading support and to
         make simple parallelism possible in the future.
       - unxz: The new --single-stream option discards trailing
         garbage after the end of the first stream.
       - xzdiff can read gzip- and bzip2-compressed files.
       - xzdiff and xzgrep can read lzop-compressed files.
       - xzegrep and xzfgrep perform extended regex and fixed-string
         matches, respectively.  (The previous behavior was to always
         use basic regexes.)
       - xzgrep -l (= --files-with-match) works.
       - The Czech “xz --help” output uses a more correct term for
         files with holes.  Thanks to Petr Hubený.  Closes: #605762.
       - xz: New Polish and French translations.
     - The Doxygen-generated documentation uses short, relative paths
       to name source files.  Closes: #572273.
   * Update copyright file.
   * Remove example programs from debian/examples.  They are included
     in the upstream source package now.
   * Move liblzma to an architecture-specific directory, so the
     native library and foreign-architecture versions can be installed
     simultaneously.
     - liblzma2: Pre-Depends: multiarch-support.
     - Use debhelper compatibility level 9.  This requires passing
       the dh sequence name before other options when invoking dh in
       debian/rules.  Build-Depends: debhelper (>= 8.1.3).
     - liblzma2, liblzma-dev: Install files under /usr/lib/<triplet>
       instead of /usr/lib.
     - Thanks to Steve Langasek for explaining the process on the
       Debian wiki.
   * Standards-Version: 3.9.2 (checked).
   * debian/control: liblzma2 is Multi-Arch: same, while xz-utils
     and xzdec are Multi-Arch: foreign.  Closes: #637883.  Thanks to
     Riku Voipio.
   * debian/symbols: Bump the minimal version for LZMA2 encoder
     functions that reject more bad arguments and skip empty blocks.
   * debian/rules: ./configure --disable-symbol-versions for now.
   * debian/rules: Provide build-arch and build-indep targets that
     only build the code and the API documentation, respectively.
     Thanks to Roger Leigh for suggesting it through lintian.
     Build-Depends: debhelper (>= 8.9.0).
   * debian/rules: Treat DEB_BUILD_OPTIONS=nocheck as a request not to
     run build-time tests.  Thanks to Thorsten Glaser for a reminder.
     Closes: #627209.
Checksums-Sha1: 
 044633944f62588cbe527ac187c7efdb659dc87e 1500 xz-utils_5.1.1alpha+20110809-1.dsc
 1fa30971a4c73633bbe3a76ed09fe4b34d6e579e 546685 xz-utils_5.1.1alpha+20110809.orig.tar.gz
 47bc9039cacb9c9cfa4cb4a0f97a06914b1d513a 129701 xz-utils_5.1.1alpha+20110809-1.debian.tar.gz
 f600a5b758d4e1bf94c4aa8190264ba913fd9ae8 179264 liblzma2_5.1.1alpha+20110809-1_amd64.deb
 512048838261bff5aec303fa0a0725c4258283e4 210682 xz-utils_5.1.1alpha+20110809-1_amd64.deb
 ea1a2107ed652ce8d4aa1600f2b08a5d6c258a59 148790 xzdec_5.1.1alpha+20110809-1_amd64.deb
 40ae1e40d94aca46dc682cc62186d32848fbafec 190968 liblzma-dev_5.1.1alpha+20110809-1_amd64.deb
 a2673f56dc1460dd16c6f125870617bb0a8f8726 101558 xz-lzma_5.1.1alpha+20110809-1_all.deb
 3cd12faf80ae2f6d2f919310049902058a792b97 535876 liblzma-doc_5.1.1alpha+20110809-1_all.deb
Checksums-Sha256: 
 3fbb38858dbd4d41d9c354f420c360e6fb8cc9a1257b47133f68432998434267 1500 xz-utils_5.1.1alpha+20110809-1.dsc
 30246a8d3cc44d31204d0134cdbf613f755d82e86b5fdb9d4fdc2ec40291f6da 546685 xz-utils_5.1.1alpha+20110809.orig.tar.gz
 85df10f9474a380f151c552fc6d9bceb95a7a43919dba4ef34adac54272af687 129701 xz-utils_5.1.1alpha+20110809-1.debian.tar.gz
 55aff1f07d0f46d7fd2de6a29827bada744f899e4072f7fae7889ed7ee9c2c83 179264 liblzma2_5.1.1alpha+20110809-1_amd64.deb
 b8e91fa156842d2025821bc2bf6684ce5b12f56ab38f233eace0fcaea20f8ecf 210682 xz-utils_5.1.1alpha+20110809-1_amd64.deb
 4602882971cf91562fe3632dfa07bf742c66fe50edd72b7b137fc2eeb3ce5a48 148790 xzdec_5.1.1alpha+20110809-1_amd64.deb
 75834cafd9e495e0c1ddcc333c91c4d8786ec9791672e8154da4b4646d4bfcba 190968 liblzma-dev_5.1.1alpha+20110809-1_amd64.deb
 56e4338809f00e21d8c77ab6d6bc2c609c0c95f82d120f11e51d0d880a9e2f20 101558 xz-lzma_5.1.1alpha+20110809-1_all.deb
 61c272eb5012167ce1cc6b9a1aae76e61492336b5a88cb00afe9e088529ca132 535876 liblzma-doc_5.1.1alpha+20110809-1_all.deb
Files: 
 e8f49b04dc7c76184b7d29263fc6fa82 1500 utils required xz-utils_5.1.1alpha+20110809-1.dsc
 ac0656f676a5af919eefaf33dff8eae6 546685 utils required xz-utils_5.1.1alpha+20110809.orig.tar.gz
 0c2a1bc68dcde067569fa453779b0195 129701 utils required xz-utils_5.1.1alpha+20110809-1.debian.tar.gz
 836a88b6ae2531f5361e64e6520cf1e9 179264 libs required liblzma2_5.1.1alpha+20110809-1_amd64.deb
 0bec3309f796eed49b38594c1a0d7aaf 210682 utils required xz-utils_5.1.1alpha+20110809-1_amd64.deb
 d5301229a7238c269b2364a4925486bd 148790 utils extra xzdec_5.1.1alpha+20110809-1_amd64.deb
 42f42cdbfe6cf003b07ca0323ccc2efa 190968 libdevel optional liblzma-dev_5.1.1alpha+20110809-1_amd64.deb
 eda740d4455b34f478274cd5daac0992 101558 utils extra xz-lzma_5.1.1alpha+20110809-1_all.deb
 565d266cbb1814e13ddf6f1e89227325 535876 doc optional liblzma-doc_5.1.1alpha+20110809-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOSjT1ibPvMsrqrwMRAv5oAKDH5nBGU+otZc4G29O5LmhDy8oLgwCgxoUd
ac7dsu0kwVb37IrQ0gPUfMA=
=GvmP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Sep 2011 07:37:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:51:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.